summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJames Le Cuirot <chewi@gentoo.org>2022-02-20 22:37:20 +0000
committerJames Le Cuirot <chewi@gentoo.org>2022-02-20 22:37:20 +0000
commit624a68d58a03c16f8ff3c9ffe37d1baf338f72ce (patch)
tree0fcf27814826173969fe6bbe5099f3874322cf68
parentgames-fps/doom-data-gog: New package (diff)
downloadgentoo-624a68d58a03c16f8ff3c9ffe37d1baf338f72ce.tar.gz
gentoo-624a68d58a03c16f8ff3c9ffe37d1baf338f72ce.tar.bz2
gentoo-624a68d58a03c16f8ff3c9ffe37d1baf338f72ce.zip
games-fps/doom2-data-gog: New package
Signed-off-by: James Le Cuirot <chewi@gentoo.org>
-rw-r--r--games-fps/doom2-data-gog/Manifest1
-rw-r--r--games-fps/doom2-data-gog/doom2-data-gog-1.9.ebuild40
-rw-r--r--games-fps/doom2-data-gog/metadata.xml12
3 files changed, 53 insertions, 0 deletions
diff --git a/games-fps/doom2-data-gog/Manifest b/games-fps/doom2-data-gog/Manifest
new file mode 100644
index 00000000000..268ae4869e6
--- /dev/null
+++ b/games-fps/doom2-data-gog/Manifest
@@ -0,0 +1 @@
+DIST setup_doom_ii_with_master_levels_1.9_(28044).exe 21288152 BLAKE2B f09df33a5fc7c6d0037d49663de0e515f30ce97a8acc3f7feadc2744eb5d1e5541372b1e00e8e3e1c4ab2ec7fc7d275b637002a3080f8792c85ebcc05e1113bf SHA512 e28bc4a76d85de70a198905e7ce76810d163d6b84c1d51a341fa35490eaa609d29fddbca17280f434847d3fce20b698cabeb561be587b165243f1da48273b7bc
diff --git a/games-fps/doom2-data-gog/doom2-data-gog-1.9.ebuild b/games-fps/doom2-data-gog/doom2-data-gog-1.9.ebuild
new file mode 100644
index 00000000000..563e7001b56
--- /dev/null
+++ b/games-fps/doom2-data-gog/doom2-data-gog-1.9.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Data files for DOOM II and the Master Levels from gog.com"
+HOMEPAGE="https://www.gog.com/en/game/doom_ii_final_doom"
+SRC_URI="setup_doom_ii_with_master_levels_${PV}_(28044).exe"
+LICENSE="GOG-EULA"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~m68k ~x86"
+RESTRICT="bindist fetch"
+
+BDEPEND="app-arch/innoextract"
+
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please buy and download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to your distfiles directory."
+}
+
+src_install() {
+ innoextract --extract --lowercase \
+ --include=/doom2/DOOM2.WAD \
+ --include=/master/wads \
+ --include=/Manual.pdf \
+ "${DISTDIR}/${A}" || die
+
+ insinto /usr/share/doom
+ doins doom2/doom2.wad
+
+ insinto /usr/share/doom/master
+ doins master/wads/*.wad
+
+ dodoc manual.pdf
+ docinto master
+ dodoc master/wads/*.txt
+}
diff --git a/games-fps/doom2-data-gog/metadata.xml b/games-fps/doom2-data-gog/metadata.xml
new file mode 100644
index 00000000000..88274e03567
--- /dev/null
+++ b/games-fps/doom2-data-gog/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chewi@gentoo.org</email>
+ <name>James Le Cuirot</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+</pkgmetadata>